:root {
  --font-weight-base: 300;
  --background-color: #1F1F1F;
  --text-color: #FFFFFF;

  --text-soft-color: #EEE;
  --text-inactive-color: #CCC;
  --background-dark-color: #111;
}
/* -------------------- */

.content {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* -------------------------------- */

.header {
  margin-top: 75px;
  text-align: center;
}

.header .title {
  font-weight: 300;
  font-size: 3rem;
  color: var(--accent-color);
  line-height: 1.2;
}

.header .intro {
  margin-top: 1.5rem;
  color: var(--text-soft-color);
  max-width: 650px;
}

/* -------------------------------- */

.archive-list li {
  font-size: 1.2rem;
  list-style: none;
  margin-bottom: 10px;
  font-weight: 300;
}

/* -------------------------------- */

.calendar {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
  width: 100%;
  max-width: 650px;
  margin-top: 40px;
  user-select: none;
}

.calendar .day {
  width: 100px;
  border: 1px solid #555;
  border-radius: 5px;
  padding: 10px;
  text-align: center;
  font-size: 2rem;
  transition: all 150ms;
}

.calendar .day.inactive {
  border-style: dashed;
  color: var(--text-inactive-color);
}

.calendar .day.active {
  background-color: #444;
  cursor: pointer;
}

.calendar .day.active:hover {
  background-color: #555;
  border-color: var(--accent-color);
}

.calendar .day .small {
  font-size: 0.7rem;
}

/* -------------------------------- */

footer {
  background-color: var(--background-dark-color);
  margin-top: 150px;
}

.footer-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 3.5rem;
  padding: 60px;
}

.footer-col {
  flex: 1;
  max-width: 300px;
}

.footer-col.align-right {
  text-align: right;
}

.footer-spacer {
  flex: 1;
  min-width: 0;
}

.footer-title {
  color: #fff;
  font-size: 1.2rem;
  font-weight: 400;
}

.footer-links {
  margin-top: 20px;
}

.footer-links li {
  list-style: none;
  margin-bottom: 10px;
}

.footer-links li a {
  text-decoration: none;
  color: #bfbfbf;
}

.footer-links li a:hover {
  color: #fff;
}

/* -------------------------------- */

.lightbox {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--background-dark-color);
  z-index: 1000;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 50px;
  transform-origin: center;
  transition: opacity 400ms ease, transform 400ms ease;
  overflow: auto;
}

.lightbox-close {
  position: absolute;
  top: 0;
  right: 0;
  padding: 20px;
  color: var(--text-color);
  background: none;
  border: none;
  opacity: 0.4;
  transition: opacity 150ms;
  cursor: pointer;
  user-select: none;
}
.lightbox-close:hover {
  opacity: 1;
}
.lightbox-close .icon {
  width: 30px;
  height: 30px;
}

.lightbox-header {
  margin-bottom: 50px;
}
.lightbox-header .day {
  font-size: 1.3rem;
  margin-bottom: 10px;
}
.lightbox-header .title {
  font-weight: 500;
  font-size: 2rem;
  color: var(--accent-color);
  margin-bottom: 10px;
}
.lightbox-header .description {
  font-size: 1.05rem;
  color: var(--text-soft-color);
  max-width: 1000px;
}

.lightbox-images {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  pointer-events: none;
  user-select: none;
}
.lightbox-images .no-images {
  color: #aaa;
}
.lightbox-images .image {
  pointer-events: auto;
  border-radius: 10px;
  border: 1px solid #333;
  overflow: hidden;
  position: relative;
}
.lightbox-images .image img {
  max-height: calc(min(100vh - 100px, 750px));
}
.lightbox-images .image .download {
  position: absolute;
  right: 10px;
  bottom: 10px;
  border-radius: 5px;
  padding: 5px;
  background-color: rgba(0, 0, 0, 0.5);
  color: var(--text-color);
  cursor: pointer;
  opacity: 0;
  transition: all 150ms ease;
}
.lightbox-images .image:hover .download {
  opacity: 0.66;
}
.lightbox-images .image .download:hover {
  opacity: 1;
}
.lightbox-images .image .download .icon {
  width: 20px;
  height: 20px;
}

/* -------------------------------- */

@media screen and (max-width: 767px) {
  
  :root {
    --font-size-base: 15px;
  }

  .content {
    padding: 10px 20px;
  }

  .header {
    margin-top: 30px;
  }

  .lightbox {
    padding: 20px;
  }

  .lightbox-header {
    margin-bottom: 40px;
    margin-top: 20px;
  }

  .footer-row {
    flex-direction: column;
  }

  .footer-col.align-right {
    text-align: unset;
  }
  
  .footer-spacer {
    display: none;
  }
}
